Getting Started

Getting Started with Remote Capture Services

FileNet Remote Capture Services consists of two software engines:

  • FileNet Capture Web Services Engine (the services engine)

  • FileNet Capture Web Application Engine (the application engine)

The two engines work with a SQL Server database, called a shared offline repository, to allow a web user to perform various document entry tasks. Remote Capture Services interacts with a shared offline repository for most activities and interacts directly with a library only for authentication, retrieving document class information, and committal.

You can install the engines and the database on the same server, in any combination on two servers, or install each software component on a separate server.

FileNet Capture Web Services Engine

The FileNet Capture Web Services Engine supports XML Web Services. The services engine communicates with a shared offline repository and the associated IS library. A services engine can support one or more application engines. Libraries are configured on the services engine.

FileNet Capture Web Application Engine

The FileNet Capture Web Application Engine is an ASP .NET web application. It includes web pages for site configuration, adding documents, indexing, index verification, and image display using a Java-based viewer called the Java Viewer.

An application engine accesses a shared offline repository through a FileNet Capture Web Services Engine.

Shared offline repository

A shared offline repository is a SQL Server database, configured using FileNet Capture Manager, that provides temporary storage for batches. It has a copy of a library's document classes. It is not necessary to have a SQL Server database and FileNet Capture Manager dedicated for use by Remote Capture Services; these software components can be part of an existing Capture configuration.


Requirements

FileNet Remote Capture Services runs on:

  • Windows 2003 Server—Standard, Enterprise, and Web Editions

  • Windows XP workstation, for development and demonstration purposes only

For All Engines

Both the Capture Web Services Engine and the Capture Web Application Engine require the following:

  • ASP .NET (comes with Windows 2003)
  • IIS 6.0 (comes with Windows 2003 but is not installed by default except with Windows 2003 Web Server)
  • .NET Framework 1.1 (comes with Windows 2003)

Additional Requirements for a FileNet Capture Web Application Engine

In addition to the software listed above, the following software must be installed and running on the Capture Web Application Engine:

  • Microsoft Web Services Enhancements (WSE) 1.0 SP1 for Microsoft .NET (free download from Microsoft)

For additional information on software requirements and support, see the Capture-Print-Fax Compatibility Matrix posted on the FileNet CSS web site.

Shared Offline Repository

A shared offline repository is a SQL Server database that provides temporary storage space for batches. You create and configure shared offline repositories using FileNet Capture Manager.

  • A FileNet Capture Web Services Engine can be configured to access any number of shared offline repositories.

  • Each shared offline repository commits to a designated IS library.

The illustration below shows a possible configuration.

Capture Web Services can talk to multiple shared offline repositories. Each shared offline repository is associated with one IS library.

For Web Clients

Browser

For best results, we recommend that clients use the latest version of the Microsoft Internet Explorer or Netscape browser.

Java Environment

The Add Files program is a Java applet that requires JRE 1.4.2 on the user's workstation. If the JRE has not been installed, the applet will not run.

The image viewer, called the Java Viewer, requires a Java environment on the workstation. This requirement is satisfied by any version of the JRE. If you attempt to view an image on a workstation that lacks the Java environment, a small red "X" will appear in the viewer window. You can download the latest version of the JRE from the archives on the Sun web site.


How to Use Help

You can find information in the following ways:

  • Click Contents to select a topic from the table of contents. The table of contents displays all topics in outline form.

  • Click Index to list topics associated with a keyword. You can enter a keyword or select one from a supplied list.

  • Click Search tab to list topics containing any word or phrase.


Install_Overview

Setup

To install and configure the software, you will:

  • Verify that requirements are met

  • Create a shared offline repository

  • Install the Capture Web engines

  • Configure access to one or more libraries

  • Set site preferences

  • Set up the Web Capture application


Create shared offline IS repository

Create a Shared Offline IS repository

A shared offline repository is a database associated with an IS library that has a copy of the library's document classes. You create and configure shared offline repositories using FileNet Capture Manager.

  1. Using Enterprise Manager on the server where SQL Server 2000 is installed, create a SQL Server database. Select SQL authentication when creating the database.

  2. On a workstation where Capture Manager is installed:

    1. Create an ODBC Data Source connection to the database you created in step 1.

    2. Run Capture Manager and configure a shared offline repository using the ODBC connection.

    3. Using Capture Manager, update document classes for the new shared offline repository.

    4. Using Capture Manager, create at least one settings collection and at least one template.

For specific information, see the following topics in the FileNet Capture Manager Online Help:

  • Overview of Repositories

  • Adding a Repository Session

  • Shared Offline Image Services


Install

Install Remote Capture Services

You can install the Capture Web Services Engine, the Capture Web Application Engine, or both, by running the Setup program from the product CD.

  1. Install all required software.

NOTES

    • Install ASP .NET and IIS 6.0 while installing Windows 2003 Server.
    • When setting up a Windows XP development workstation, you must install IIS 6.0, ASP .NET, and .NET Framework 1.1.
    • When installing the Microsoft Web Services Enhancements (WSE) 1.0 SP1, choose the Runtime option.
  2. Start IIS and ASP.NET if they are not already started, and set both services to Autostart.
  3. Log on as a user who has Administrator rights to the machine.
  4. Insert the Remote Capture Services CD in the CD drive. The Setup program should start automatically. If it does not, navigate to the CD and run Setup.exe.
  5. Click Next.
  6. Click Yes to accept the license agreement.
  7. Click Next to install in the default folder. Or, click Browse to select a folder, and then click Next.
  8. Select an installation option:
    • Remote Capture Application & Services with Direct Data Provider. Choose this option to install both engines on the same server with a direct connection (not via a URL) between the engines. This option is appropriate for development and for production systems with low to moderate volume.
    • Remote Capture Application & Services with Services Engine. Choose this option to install both engines on the same server with a web services connection (via a URL) between the engines. This option is appropriate for development and test systems.
    • Remote Capture Services - Application Engine only. Choose this option to install the Capture Web Application Engine only.
    • Remote Capture Services - Services Engine only. Choose this option to install the Capture Web Services Engine only.

    NOTE To switch between the Direct Data Provider option and any other option, you must reinstall the software.

  9. For any option above other that the first (using the Direct Data Provider), refer to the Microsoft Knowledge Base Article 821268 for information on editing machine.config to reduce the possibility of contention between servers.

  10. Enter the alias for the application engine's virtual directory and then click Next. You must complete this step if you are installing the application engine.

    For example, if you enter "capture" for an application engine named fn_WCA, users will access the site via the URL http://fn_WCA/capture.

NOTE If you change the application engine's virtual directory in Setup, you must also change the virtual directory in the webinfo file.

  11. Enter the alias for the services engine's virtual directory and then click Next. You must complete this step even if you are not installing the services engine.

    For example, if you enter "captureservices", for a web server named fn_WCA, the application engine will access the services engine via the URL http://fn_WCS/captureservices.
  12. Click Next to begin copying files.
  13. Click Finish to complete the installation.
  14. Reboot the server.
  15. Add all IS server addresses to the web server's hosts file.
  16. Configure access to an IS library.
  17. If you changed the application engine's virtual directory from the default "RCSApplication", you will need to edit the webinfo file to change it there as well, as follows:
    1. Locate and open the file cwWebApplication.vbproj.webinfo in Notepad.
    2. Change "RCSApplication" to the virtual directory you entered in step 10.


Site Preferences

Remote Capture Services includes two sets of preferences, one for each engine. By default:

  • Application engine preferences are stored in C:\Program Files\FileNet\RemoteCapture\App\Bin\WCAppPreferences.xml.

  • Services engine preferences are stored in C:\Program Files\FileNet\RemoteCapture\Services\bin\WCServicesPreferences.xml.

To set preferences

  1. Start the preferences applications as follows:

    • From the Windows Start menu, select All Programs>FileNet Remote Capture Services>Remote Capture Services 1.0 - Application Preferences.

-or-

    • From the Windows Start menu, select All Programs>FileNet Remote Capture Services>Remote Capture Services 1.0 - Services Preferences.

  2. Select or enter preference values, then click Apply. When finished, click Exit.


Services Engine Preferences

The Services Engine preferences allows you to:

  • Enable and configure logging

  • Configure connections to IS libraries


Logging

If you should experience a software problem, your FileNet support representative will provide instructions to set up logging.


Configure an IS library

Repository Configuration Settings

To configure a connection to an IS library

  1. From the Windows Start menu, select All Programs>FileNet Remote Capture Services>Remote Capture Services 1.0 - Services Preferences.

  2. Open the Repository Configuration Settings.

  3. Open Library.

    1. In the Domain field, enter the library's domain name.

    2. In the Organization field, enter the library's organization name. By default, it is FileNet.

    3. In the Repository Server ID field, enter a unique name that identifies the library.

    4. In the Display Name field, enter the library name that you want users to see when using the Remote Capture web application.

    5. Do not change the Repository Server Type field.

    6. Use the Database Connection preferences to configure the connection to the shared offline repository with SQL Authentication:

      • In the Server Name field, enter the name of the database server.

      • In the Database field, enter the name of the database.

      • In the User ID field, enter a valid SQL Server ID. This ID must have full access to the FileNet tables in the database.

      • In the Password field, enter the password for the User ID above.

      • You cannot change the Database Type; it is SQL 2000 Server for this release.


Application Engine Preferences

The Application Engine Preferences allow you to:

  • Enable and configure logging

  • Enable or disable user preferences

  • Enable SSL for the Logon page or the entire site

  • Configure the Add Files, Assembly, Set Properties, and Verify Properties control

  • Specify the maximum number and size of files to upload

  • Enter the data provider information

  • Configure image cache and prefetching


User Preferences

You can allow users to set their own preferences. If you do this, the user preferences take precedence over site preferences in the User Preferences category.

You can also configure the appearance of the Remote Capture application.

To enable or disable user preferences

  1. From the Windows Start menu, select All Programs>FileNet Remote Capture Services>Remote Capture Services 1.0 - Application Preferences.

  2. Open User Preferences.

  3. Set Permit Individual Preferences to Yes or No.

To configure the appearance of the Remote Capture application

  1. From the Windows Start menu, select All Programs>FileNet Remote Capture Services>Remote Capture Services 1.0 - Application Preferences.

  2. Open User Preferences.

  3. Open Appearance. In the Number of Items per Page field, specify the maximum number of items that you want to appear on a page.

  4. Open List View Control (Browse). In the View Mode field, select the View that you want users to see.


New Topic

SSL

You can use Secure Sockets Layer (SSL) to secure authentication credentials or to secure the entire site.

  • To secure authentication credentials, enable SSL for the Logon page.

  • If your data is confidential, enable SSL for the site.

To enable SSL

  1. From the Windows Start menu, select All Programs>FileNet Remote Capture Services>Remote Capture Services 1.0 - Application Preferences.

  2. Open Web Application Preferences.

  3. Use the Secure Sockets Layer preference to select the appropriate SSL option.

  4. Install an SSL certificate on the web server. See the IIS documentation for instructions.

To enable SSL for communication between engines

You can use SSL for communication between the Remote Capture Web Application Engine and the Remote Capture Web Services Engine.

  1. On the web server, enable SSL and install an SSL certificate, as explained above.

  2. When configuring the preferences for the Remote Capture Services Engine, specify https (instead of http) when entering the URL of the Remote Capture Application Engine.


Display Exceptions

The Message page (message.aspx) displays the title and description of any errors. By default, if the user is an administrator, the page also displays additional exception information such as stack traces, inner exceptions, etc. All information is written to the log manager.

The Display Exceptions preference allows the site administrator to determine who sees the additional information on exceptions:

  • Display to admins only, the default

  • Display all exceptions (to any user)

  • Do not display (to any user)


Controls

Do not edit the Controls preferences.


File Upload

You can limit the number and size of files that users can upload using Remote Capture.

To limit file uploads

  1. From the Windows Start menu, select All Programs>FileNet Remote Capture Services>Remote Capture Services 1.0 - Application Preferences.

  2. Open Web Application Preferences.

  3. Open Options.

  4. Open File Upload Options. For each of these, the value zero specifies no limit. The default values are the maximums recommended by FileNet.

    1. In the File Size Limit field, enter the maximum size of any one file. The default is 1000K (1 MB).

    2. In the Total File Size Limit field, enter the maximum size of any one upload operation. The default is 15000K (15 MB).

    3. In the File Count Limit, enter the maximum number of files that a user can upload at one time. The default is 300 files.


Object Model Configuration Settings

The Object Model Configuration Settings allow you to configure:

  • The data provider

  • The image cache and prefetching


Data Provider Configuration

The Data Provider Configuration preferences are explained below.

  • The Data Provider Type preference is set to DirectWSEngine when you install both engines on the same server with a Direct Data Provider. For all other configurations on any number of servers, it is set to WebServices.

  • The Data Provider URL specifies the URL of the Capture Web Services Engine.

  • The SOAP Request Timeout specifies the number of seconds to wait for the Capture Web Services Engine to respond. The default is 180 seconds.


Image Manager

The Image Manager preferences are explained below.

  • The Path preference specifies the image cache. By default, it is C:\tmp\ImageCache. If you change the image cache folder, be sure to grant read and write privileges to the web application.

  • The Capacity preference specifies the maximum size of the image cache. By default, it is 1000 files.

  • The Image Prefetch preference allows you to disable prefetching, to prefetch the next page, all remaining pages, or all pages.


Site Administration

In the Remote Capture Application, the Admin link is available to SysAdmin and SysAdminG. An administrator can grant access to other roles by configuring the Admin task (see Tasks).

Click Admin to configure the site using these options:

See

Users and Roles

Filters

Tasks

Document Class Preferences


Users and Roles

A role is a collection of users and groups that the administrator can associate with a task. The association can grant or deny access to the task. To define a role, select Users and Roles from the Admin (Site Administration) page.

See "Create New Role" and "Create New Task" in the Remote Capture Services Online Help for more information.


Filters

A filter consists of one or more rules that limit the list of batches. For example, you could create a rule that would list only the batches ready for committal or that rule that lists only the batches with names beginning with the letter "a." You can define filters by selecting Filters from the Admin (Site Administration) page.

For information on filters, see "Create new filter" in the Remote Capture Services Online Help.


Tasks

Remote Capture Services allows you to configure four tasks: Add Document, Admin, Browse, and Inbox.

For the Tasks page and for each task configuration, you can specify a customized ASPX page instead of the FileNet-supplied page. See the Remote Capture Services Online Help for details on customization.

Task configuration features are briefly described below.

Add Document

For the Add Document task, you define document types. A document type is associated with a template, a settings collection, and one or more roles.

For a complete description and step-by-step procedures, see "Create a New Document Type" in the Remote Capture Services Online Help.

Admin

For the Admin task, you can grant access to additional roles.

Browse

For the Browse task, you can grant access to roles.

Inbox

For the Inbox task, you define inbox items. An inbox is associated with a filter, a Capture Web Control (such as Indexing), and one or more roles.


Document Class Preferences

Remote Capture Services allows you to configure the appearance and order of document properties.

See "Configure Property Preferences" in the Remote Capture Online Help for details.


General Info

Visit the FileNet website for information on FileNet, the company's products, Global Learning Services, Professional Services, customer applications, and user groups.

We welcome you to email us your comments on this documentation.


License

License Agreement

READ THIS NOTICE CAREFULLY, THE SOFTWARE IS THE PROPRIETARY INTELLECTUAL PROPERTY OF FILENET CORPORATION AND IS SUBJECT TO THE MINIMUM TERMS AND CONDITIONS SET FORTH BELOW. THESE TERMS AND CONDITIONS MAY BE SUPERCEDED BY THE TERMS AND CONDITIONS OF THE SOFTWARE LICENSE ENTERED INTO BY YOUR EMPLOYER FOR THE USE OF FILENET SOFTWARE. BY USING THE SOFTWARE, YOU ACKNOWLEDGE IT IS FILENET PROPRIETARY INTELLECTUAL PROPERTY AND THAT A VALID SOFTWARE LICENSE WITH FILENET CORPORATION IS APPLICABLE. THEREFORE AT A MINIMUM, YOU AGREE TO BE BOUND BY THE FOLLOWING FILENET END USER SOFTWARE LICENSE TERMS AND CONDITIONS (HEREINAFTER "Agreement"):

  1. Definition of Software

    The software consists of software owned by FileNet, as well as software owned by certain third party providers ("Third Party Providers"). Each software product includes any documentation relating to or describing such software, such as, logic manuals, flow charts, reference materials, and improvements or updates provided by FileNet (software and documentation collectively called "Software").

  2. Grant of License

A. Each Software product, including any documentation relating to or describing such Software, such as, but not limited to, logic manuals, flow charts and improvements or updates provided by FileNet (collectively called "Software"), is furnished to End User under a personal, non-exclusive, nontransferable license solely for End User's own internal use in compliance with this License and all applicable laws and regulations. End User agrees that this License does not permit End User to: (1) use the Software for a service bureau application or (2) rent, lease, or sublicense the Software; (3) modify or remove any proprietary notices; or (4) transfer the Software without prior written consent from FileNet. The Software is licensed to the End User, not sold.

B. The Software may only be copied, in whole or in part (with the proper inclusion of FileNet's copyright notice and any other proprietary notice and/or trademarks on such Software), as may be necessary and incidental for archival purposes or to replace a worn or defective copy.

C. Title to and ownership of the Software and any portions (or any modifications, translations, or derivatives thereof, even if unauthorized) and all applicable rights in patents, copyrights and trade secrets in the Software shall remain exclusively with FileNet and its licensors, if any. Software provided hereunder is valuable, proprietary, and unique, and End User agrees to be bound by and observe the proprietary nature thereof as provided herein. End User agrees to take diligent action to fulfill its obligations hereunder by instruction or agreement with its employees or agents (whose confidentiality obligations shall survive termination of employment or agency) who are permitted access to the Software. Access shall only be given on a need-to-know basis. Except as set forth in this Agreement or as may be permitted in writing by FileNet, End User shall not use, provide or otherwise make available the Software or any part or copies thereof to any third party. End User shall not reverse engineer, decompile or disassemble the Software or any portion thereof, nor otherwise attempt to create or derive the source code. End User acknowledges that unauthorized reproduction, use, or disclosure of the Software or any part thereof may cause irreparable injury to FileNet and/or its licensors, who may therefore be entitled to injunctive relief to enforce these license restrictions, in addition to any other remedies available at law, in equity, or under this Agreement. Further, the trademarks are owned by the respective trademark holder.

D. FileNet agrees that End User's affiliates (business entities of which End User owns or controls more than fifty {50%} percent of the voting rights or the controlling body of the business entity) may use the Software; provided that prior to any affiliate's use of the Software: (i) End User accepts responsibility for the acts or omissions of such affiliates as if they were End User's acts or omissions; (ii) End User shall indemnify FileNet against losses or damages suffered by FileNet arising from breach of this Agreement by any such affiliate; and (iii) such use shall not constitute an unauthorized exportation of the Software or documentation under U.S. Government laws and regulations.

  3. Termination. FileNet shall have the right to terminate End User's license if End User fails to pay any and all required license fees or otherwise fails to comply with these license terms and conditions. Upon expiration of the license term or upon notice of such termination, End User shall immediately return or destroy the Software and all portions and copies thereof as directed by FileNet and, if requested by FileNet, shall certify in writing as to the destruction or return of the same. All confidentiality and non-disclosure obligations herein shall survive termination.
  4. Limited Warranty

    A. FileNet warrants that it has good and clear title to or has the right to sublicense the Software being licensed hereunder, free and clear of all liens and encumbrances.

    B. FileNet warrants for a period of one year from the Shipment Date, Software used in a manner for which it was designed will perform the functions described in the applicable FileNet documentation supplied at the time of delivery provided that, (i) Software is continuously subject to a FileNet Software Support contract, (ii) any substantial nonconformance is reproducible, and (iii) the substantial nonconformance is not caused by third party software or hardware not specified in FileNet's documentation or not expressly authorized in advance by FileNet. FileNet's sole obligation and liability hereunder shall be to use reasonable efforts to remedy any material non-conformance which is reported to FileNet in writing within the warranty period.

    C. End User accepts sole responsibility for, system configuration, design and requirements, selection of the software for the intended results, modifications, changes or alterations.

    D. THERE ARE NO OTHER WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NONINFRINGEMENT WITH RESPECT TO THIS AGREEMENT, THE AGREEMENT, OR THE SOFTWARE LICENSED HEREUNDER. FILENET DOES NOT WARRANT THAT THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED, THAT THE SOFTWARE IS ERROR-FREE, OR THAT ALL ERRORS CAN BE CORRECTED.

  5. Export. End User agrees that the Products purchased hereunder will not be exported directly or indirectly, separately or as part of any system, without first obtaining a license from the U.S. Department of Commerce or any other appropriate agency of the U.S. Government, as required.
  6. Restrictions on Use. End User acknowledges that one of FileNet's Third Party Providers provides application integration software as part of the Software (the "Integration Software"). End User agrees to use the Software solely as follows: (i) FileNet's workflow or content management software will be the triggering source and/or the destination of the transaction managed by the Integration Software; (ii) FileNet's workflow or content management functionality must be a necessary part of the transaction managed by the Integration Software such that without such FileNet functionality, the transaction managed by the Integration Software could not process; (iii) the Software will not be used or configured in such a way as to only provide the functionality that the Integration Software provides; and (iv) all derivative works of the Software made by or for End User are subject to the foregoing restrictions.
  7. Choice of Law. The laws of the State of California will govern the construction and operation of this Agreement without regard to the conflict of laws provisions thereof.
  8. U.S. Government Restricted Rights. The Software is Commercial Software and the Software and Documentation are provided with Restricted Rights. Use, duplication or disclosure by the Government is subject to restrictions as set forth in paragraph (c) (1) (ii) of the Rights in Technical Data and Computer Software Clause at DFARS 252.227-7013 or subparagraphs (c) (1) and (2) of the Commercial Computer Software-Restricted Rights at 48 CFR 52.227-19, as applicable. Contractor/manufacturer is FileNet Corporation, 3565 Harbor Blvd., Costa Mesa, California 92626.


Notices

This document contains information proprietary to FileNet Corporation (FileNet). Due to continuing product development, product specifications and capabilities are subject to change without notice. You may not disclose or use any proprietary information or reproduce or transmit any part of this document in any form or by any means, electronic or mechanical, for any purpose, without written permission from FileNet.

FileNet has made every effort to keep the information in this document current and accurate as of the date of publication or revision. However, FileNet does not guarantee or imply that this document is error free or accurate with regard to any particular specification. In no event will FileNet be liable for direct, indirect, special incidental, or consequential damages resulting from any defect in the documentation, eve if advised of the possibility of such damages. No FileNet agent, dealer, or employee is authorized to make any modification, extension, or addition to the above statements.

FileNet may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. The furnishing of this document does not provide any license to these patents, trademarks, copyrights, or other intellectual property.

JavaView incorporates viewONE image viewing and annotations technology developed and copyrighted by Daeja Image Systems. Daeja Image Systems assumes no liability for any claim that may arise regarding this incorporation. viewONE is a trademark or registered trademark of Daeja Image Systems. Copyright (c) 2002 Daeja Image Systems, www.daeja.com. All rights reserved.

FileNet and ValueNet are registered trademarks of FileNet Corporation. FileNet P8 and FileNet Workplace are trademarks of FileNet Corporation. All other company or product names referenced in this release may be trademarks or registered trademarks of their respective owners.

Copyright © 1998, 2004 FileNet Corporation. All rights reserved.